List projects
Retrieve a list of projects.
Authentication
AuthorizationToken
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>
Query parameters
archived
Filter by projects that belong to archived workspaces
filter
Filter projects by pinned status. Use ‘pinned_only’ to return only pinned projects, ‘exclude_pinned’ to return only non-pinned projects, or ‘all’ to return all projects.
ids
Filter id by in list
include
Comma-separated list of count fields to include in the response to optimize performance. Available fields: task_number, finished_task_number, total_predictions_number, total_annotations_number, num_tasks_with_annotations, useful_annotation_number, ground_truth_number, skipped_annotations_number. If not specified, all count fields are included.
members_limit
Maximum number of members to return
ordering
Which field to use when ordering the results.
page
A page number within the paginated result set.
page_size
Number of results to return per page.
search
Search term for project title and description
state
Filter current_state by exact match
title
Filter title by contains (case-insensitive)
workspaces
Filter workspaces by exact match
Response
count
results
next
previous